# Class ELNode

java.lang.Object
org.apache.jasper.compiler.ELNode

Direct Known Subclasses:
  `ELNode.ELText`, `ELNode.Function`, `ELNode.Root`, `ELNode.Text`

public abstract class ELNode extends Object
This class defines internal representation for an EL Expression. It currently only defines functions. It can be expanded to define all the components of an EL expression, if need to.

Author:
  Kin-man Chung

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ELNode.ELText`
Represents anything in EL expression, other than functions, including function arguments etc.
`static class`
`ELNode.Function`
Represents a function.
`static class`
`ELNode.Nodes`
An ordered list of ELNode.
`static class`
`ELNode.Root`
Represents an EL expression: anything in ${ and }.
`static class`
`ELNode.Text`
Represents text outside of EL expression.
`static class`
`ELNode.Visitor`

## Constructor Summary

Constructors
Constructor
Description
`ELNode()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`accept(ELNode.Visitor v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ELNode

public ELNode()

## Method Details

### accept

public abstract void accept(ELNode.Visitor v) throws JasperException

Throws:
  `JasperException`